using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Zadatak1TakmicenjeDecembar2022
{
    class Program
    {
        static void Main(string[] args)
        {
            int[] spojlovan = new int[2];
            int[] poluvreme = new int[2];

            string [] a = Console.ReadLine().Split();
            string [] b = Console.ReadLine().Split();

            spojlovan[0] = Convert.ToInt32(a[0]);
            spojlovan[1] = Convert.ToInt32(a[1]);
            poluvreme[0] = Convert.ToInt32(b[0]);
            poluvreme[1] = Convert.ToInt32(b[1]);

            if (spojlovan[0]==poluvreme[0] && spojlovan[1]==poluvreme[1])
                Console.WriteLine("nijedan");
            else if (spojlovan[0] != poluvreme[0] && spojlovan[1] == poluvreme[1])
                Console.WriteLine("prvi");
            else if (spojlovan[0] == poluvreme[0] && spojlovan[1] != poluvreme[1])
                Console.WriteLine("drugi");
            else Console.WriteLine("?");
        }
    }
}